Page MenuHomePhabricator

AbuseFilter Log and Edit/Create is inaccessible while partially blocked
Closed, ResolvedPublic

Description

If a user with abusefilter rights is partially blocked, they should still be able to use the extension

Event Timeline

dmaza created this task.Nov 2 2018, 7:58 PM
Restricted Application added subscribers: MGChecker, Aklapper. · View Herald TranscriptNov 2 2018, 7:58 PM
TBolliger triaged this task as Low priority.Nov 2 2018, 8:48 PM
TBolliger moved this task from Untriaged to spare column on the Anti-Harassment board.
TBolliger moved this task from Backlog to User blocking on the MediaWiki-User-management board.

Change 471480 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Check that the user block is sitewide when determining permissions

https://gerrit.wikimedia.org/r/471480

Daimona claimed this task.Nov 3 2018, 10:04 AM

Change 471480 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Check that the user block is sitewide when determining permissions

https://gerrit.wikimedia.org/r/471480

Change 473798 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@REL1_32] Check that the user block is sitewide when determining permissions

https://gerrit.wikimedia.org/r/473798

dbarratt closed this task as Resolved.Nov 15 2018, 6:12 PM
dbarratt added a subscriber: dbarratt.

Thanks @Daimona!

Change 473798 abandoned by Daimona Eaytoy:
Check that the user block is sitewide when determining permissions

Reason:
Unnecessary

https://gerrit.wikimedia.org/r/473798